reflex::Pattern::Chars Struct Reference

|  | reflex::Pattern::Chars Struct Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
reflex::Pattern::Chars Struct Reference

Set of chars and meta chars. More...

## Public Member Functions
| Chars ()
| Chars (const Chars &c)
| Chars (const uint64_t c[5])
void | clear ()
bool | any () const
bool | intersects (const Chars &c) const
bool | contains (const Chars &c) const
bool | contains (Char c) const
Chars & | add (Char c)
Chars & | add (Char lo, Char hi)
Chars & | flip ()
Chars & | flip256 ()
Chars & | swap (Chars &c)
Chars & | operator+= (const Chars &c)
Chars & | operator-= (const Chars &c)
Chars & | operator|= (const Chars &c)
Chars & | operator&= (const Chars &c)
Chars & | operator^= (const Chars &c)
Chars | operator+ (const Chars &c) const
Chars | operator- (const Chars &c) const
Chars | operator| (const Chars &c) const
Chars | operator& (const Chars &c) const
Chars | operator^ (const Chars &c) const
Chars | operator~ () const
| operator bool () const
Chars & | operator= (const Chars &c)
bool | operator!= (const Chars &c) const
bool | operator== (const Chars &c) const
bool | operator< (const Chars &c) const
bool | operator> (const Chars &c) const
bool | operator<= (const Chars &c) const
bool | operator>= (const Chars &c) const
Char | lo () const
Char | hi () const

## Public Attributes
uint64_t | b [5]
| 256 bits to store a set of 8-bit chars + extra bits for meta More...

## Detailed Description

Set of chars and meta chars.

## Constructor & Destructor Documentation

reflex::Pattern::Chars::Chars | ( |  | ) |
| inline

reflex::Pattern::Chars::Chars | ( | const Chars & | c | ) |
| inline

reflex::Pattern::Chars::Chars | ( | const uint64_t | c[5] | ) |
| inline

## Member Function Documentation

Chars& reflex::Pattern::Chars::add | ( | Char | c | ) |
| inline

Chars& reflex::Pattern::Chars::add | ( | Char | lo,
|  | Char | hi
| ) |  |
| inline

bool reflex::Pattern::Chars::any | ( |  | ) | const
| inline

void reflex::Pattern::Chars::clear | ( |  | ) |
| inline

bool reflex::Pattern::Chars::contains | ( | const Chars & | c | ) | const
| inline

bool reflex::Pattern::Chars::contains | ( | Char | c | ) | const
| inline

Chars& reflex::Pattern::Chars::flip | ( |  | ) |
| inline

Chars& reflex::Pattern::Chars::flip256 | ( |  | ) |
| inline

Char reflex::Pattern::Chars::hi | ( |  | ) | const
| inline

bool reflex::Pattern::Chars::intersects | ( | const Chars & | c | ) | const
| inline

Char reflex::Pattern::Chars::lo | ( |  | ) | const
| inline

reflex::Pattern::Chars::operator bool | ( |  | ) | const
| inline

bool reflex::Pattern::Chars::operator!= | ( | const Chars & | c | ) | const
| inline

Chars reflex::Pattern::Chars::operator& | ( | const Chars & | c | ) | const
| inline

Chars& reflex::Pattern::Chars::operator&= | ( | const Chars & | c | ) |
| inline

Chars reflex::Pattern::Chars::operator+ | ( | const Chars & | c | ) | const
| inline

Chars& reflex::Pattern::Chars::operator+= | ( | const Chars & | c | ) |
| inline

Chars reflex::Pattern::Chars::operator- | ( | const Chars & | c | ) | const
| inline

Chars& reflex::Pattern::Chars::operator-= | ( | const Chars & | c | ) |
| inline

bool reflex::Pattern::Chars::operator< | ( | const Chars & | c | ) | const
| inline

bool reflex::Pattern::Chars::operator<= | ( | const Chars & | c | ) | const
| inline

Chars& reflex::Pattern::Chars::operator= | ( | const Chars & | c | ) |
| inline

bool reflex::Pattern::Chars::operator== | ( | const Chars & | c | ) | const
| inline

bool reflex::Pattern::Chars::operator> | ( | const Chars & | c | ) | const
| inline

bool reflex::Pattern::Chars::operator>= | ( | const Chars & | c | ) | const
| inline

Chars reflex::Pattern::Chars::operator^ | ( | const Chars & | c | ) | const
| inline

Chars& reflex::Pattern::Chars::operator^= | ( | const Chars & | c | ) |
| inline

Chars reflex::Pattern::Chars::operator| | ( | const Chars & | c | ) | const
| inline

Chars& reflex::Pattern::Chars::operator|= | ( | const Chars & | c | ) |
| inline

Chars reflex::Pattern::Chars::operator~ | ( |  | ) | const
| inline

Chars& reflex::Pattern::Chars::swap | ( | Chars & | c | ) |
| inline

## Member Data Documentation

uint64_t reflex::Pattern::Chars::b[5]

256 bits to store a set of 8-bit chars + extra bits for meta

The documentation for this struct was generated from the following file:

- pattern.h